package com.diagbot.web;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.diagbot.annotation.SysLogger;
import com.diagbot.dto.RespDTO;
import com.diagbot.dto.TypeDTO;
import com.diagbot.facade.TypeFacade;
import com.diagbot.vo.TypeVo;

import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;

/**
 * <p>
 *  前端控制器
 * </p>
 *
 * @author Weixuan Huang
 * @since 2019-03-18
 */
@RestController
@RequestMapping("/type")
@SuppressWarnings("unchecked")
@Api(value = "医学术语类型维护相关API", tags = { "医学术语类型维护相关API" })
public class TypeController {
	
    @Autowired
    private TypeFacade typeFacade;


    @ApiOperation(value = "获取医学术语类型列表[by:rengb]")
    @PostMapping("/getAllType")
    @SysLogger("getAllType")
    public RespDTO<IPage<TypeDTO>> getAllType(@RequestBody TypeVo typeVo) {
        IPage<TypeDTO> data = typeFacade.getTypes(typeVo);

        return RespDTO.onSuc(data);
    }

}
